% %Calculate the average consensus index of the K-th group
function avgConsistency = AvgConsistency( cluster, Dham )
    [row,~] = size(cluster);
    Ds = [];
    for i = 1 : row
        sumD = 0;
        for j = 3 : cluster(i,1)
            center = cluster(i,2); %Cluster center
            sumD = sumD + Dham(center, cluster(i,j));
        end
        D = sumD / (cluster(i,1) - 1);
        Ds = [Ds, D];
    end
    avgConsistency = mean(Ds(:));
end

